LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices


Reply
  Search this Thread
Old 08-24-2004, 05:31 PM   #16
slyman
Member
 
Registered: Jun 2004
Location: Sydney, Australia
Distribution: FC3, Linux From Scratch, Knoppix
Posts: 99

Rep: Reputation: 15

No, it is looking for 2.4.0 or greater/better. Is 2.4.6 greater? Yes.

what does

Code:
echo PKG_CONFIG_PATH
return?
 
Old 08-24-2004, 07:07 PM   #17
The Oate
Member
 
Registered: May 2004
Location: Massachusetts
Posts: 134

Original Poster
Rep: Reputation: 16
bash: PKG_CONFIG_PATH: command not found

That's what I get. But if I do $ set, I get this:

PKG_CONFIG_PATH=/usr/lib/pkgconfig:/usr/lib/qt3/pkgconfig:/usr/local/lib/pkgconfig
 
Old 08-24-2004, 10:07 PM   #18
slyman
Member
 
Registered: Jun 2004
Location: Sydney, Australia
Distribution: FC3, Linux From Scratch, Knoppix
Posts: 99

Rep: Reputation: 15
Sorry, should have been

Code:
echo $PKG_CONFIG_PATH
In either of:

/usr/lib/pkgconfig
/usr/local/lib/pkgconfig

There should be a file called

glib-2.0.pc

Can you paste the contents of that here?

Last edited by slyman; 08-24-2004 at 10:08 PM.
 
Old 08-24-2004, 10:20 PM   #19
The Oate
Member
 
Registered: May 2004
Location: Massachusetts
Posts: 134

Original Poster
Rep: Reputation: 16
prefix=/usr
exec_prefix=/usr
libdir=/usr/lib
includedir=/usr/include

glib_genmarshal=glib-genmarshal
gobject_query=gobject-query
glib_mkenums=glib-mkenums

Name: GLib
Description: C Utility Library
Version: 2.2.3
Libs: -L${libdir} -lglib-2.0
Cflags: -I${includedir}/glib-2.0 -I${libdir}/glib-2.0/include
 
Old 08-24-2004, 10:30 PM   #20
slyman
Member
 
Registered: Jun 2004
Location: Sydney, Australia
Distribution: FC3, Linux From Scratch, Knoppix
Posts: 99

Rep: Reputation: 15
Quote:
Originally posted by The Oate
Version: 2.2.3
That's not version 2.4.6 is it?

Do you have a glib-2.0.pc in /usr/local/lib/pkgconfig?

If so, you need to remove glib-2.2.3 - you probably got this as an rpm.

Last edited by slyman; 08-24-2004 at 10:33 PM.
 
Old 08-24-2004, 10:35 PM   #21
The Oate
Member
 
Registered: May 2004
Location: Massachusetts
Posts: 134

Original Poster
Rep: Reputation: 16
Yes, I have it there as well. How do I remove the older GLib?

The one in /usr/local/lib/pkgconfig is 2.4.6 by the way, the one I'm trying to get it to recognize.

Last edited by The Oate; 08-24-2004 at 10:44 PM.
 
Old 08-25-2004, 12:02 AM   #22
slyman
Member
 
Registered: Jun 2004
Location: Sydney, Australia
Distribution: FC3, Linux From Scratch, Knoppix
Posts: 99

Rep: Reputation: 15
To be honest, I am not sure how to do that - I have never used an RPM based distro...

Anyone else...?
 
Old 08-25-2004, 08:47 AM   #23
The Oate
Member
 
Registered: May 2004
Location: Massachusetts
Posts: 134

Original Poster
Rep: Reputation: 16
Well, based on the Installing RPMs and TARs thread, here's what it says for removing RPMs:

For RPM

rpm -ivh packagename -> TO install package

rpm -qip packagename ->To view package information before install

rpm -e packagename ->To uninstall package

rpm -q package ->To view if package is already inastalled

Now that's straightforward enough, but what exactly do I use as package name, and what directory do I need to be in when I use this command in order that I remove the old version of GLib?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Trouble installing XMMS, gtk/glib issues. MDBlueIce Linux - Newbie 11 02-26-2005 09:00 PM
Having trouble building and installing GTK+ Plz Help! Gormless Linux - Software 5 10-10-2004 09:26 PM
trouble installing gtk, on glib pkgconfig returned 2.4.2 but 2.2.3 was found uv1 Linux - Newbie 7 08-02-2004 09:42 AM
trouble installing GTK themes TrippyChik Linux - Newbie 1 03-30-2004 06:43 PM
Trouble installing BitchX --with-gtk n3tw0rk Linux - Software 2 01-19-2004 05:03 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva

All times are GMT -5. The time now is 06:18 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration